# $Revision: 1.38 $, $Date: 2010/06/23 19:01:24 $
Summary:	Interface to Linux IEEE-1394 subsystem
Summary(pl.UTF-8):	Biblioteka do obsługi podsystemu IEEE-1394
Name:		libraw1394
Version:	2.0.5
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libraw1394/%{name}-%{version}.tar.gz
# Source0-md5:	1db64231c78540c32859b591cb8b40cf
Patch0:		%{name}-doc.patch
URL:		http://sourceforge.net/projects/libraw1394
#URL:		http://www.linux1394.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-utils
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libraw1394 is the only supported interface to the kernel side raw1394
of the Linux IEEE-1394 subsystem, which provides direct access to the
connected 1394 buses to user space. Through libraw1394/raw1394,
applications can directly send to and receive from other nodes without
requiring a kernel driver for the protocol in question.

%description -l pl.UTF-8
libraw1394 jest jedynym supportowanym po stronie kernela linuksowego
raw1394 subsystemu IEEE-1394, który zapewnia bezpośredni dostęp do
szyn 1394 w przestrzeni użytkownika. Poprzez libraw1394/raw1394
aplikacje mogą bezpośrednio wysyłać i otrzymywać z innych końcówek bez
potrzeby kernelowego drivera w zapytaniu.

%package devel
Summary:	libraw1394 header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libraw1394
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libraw1394 devel package.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libraw1394.

%package static
Summary:	libraw1394 static library
Summary(pl.UTF-8):	Statyczna biblioteka do obsługi formatu IEEE-1394
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libraw1394 static librawy.

%description static -l pl.UTF-8
Statyczna biblioteka libraw1394.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

%{__make} -C doc htmldoc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/dumpiso
%attr(755,root,root) %{_bindir}/sendiso
%attr(755,root,root) %{_bindir}/testlibraw
%attr(755,root,root) %{_libdir}/libraw1394.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libraw1394.so.11
%{_mandir}/man1/dumpiso.1*
%{_mandir}/man1/sendiso.1*
%{_mandir}/man1/testlibraw.1*
%{_mandir}/man5/isodump.5*

%files devel
%defattr(644,root,root,755)
%doc doc/libraw1394/*
%attr(755,root,root) %{_libdir}/libraw1394.so
%{_libdir}/libraw1394.la
%{_includedir}/libraw1394
%{_pkgconfigdir}/libraw1394.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libraw1394.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libraw1394.spec,v $
Revision 1.38  2010/06/23 19:01:24  qboosh
- updated to 2.0.5
- dead URL replaced by sf project page
- updated doc patch

Revision 1.37  2009/06/10 08:22:53  amateja
- updated to 2.0.2

Revision 1.36  2009/01/21 19:18:22  arekm
- up to 2.0.1

Revision 1.35  2008/08/23 19:10:00  qboosh
- updated to 2.0.0 (note: new soname)

Revision 1.34  2008/01/16 17:34:00  arekm
- rel 2

Revision 1.33  2007-11-04 00:02:05  qboosh
- updated to 1.3.0

Revision 1.32  2007/08/27 10:03:33  megabajt
- release 2 to acquire P:/R: libtool(*.la)

Revision 1.31  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.29  2006/10/09 21:40:52  qboosh
- new Source0 URL, updated to 1.2.1

Revision 1.28  2005/10/28 20:30:34  qboosh
- updated to 1.2.0 (note: new soname, .m4 dropped - use pkgconfig instead)
- updated doc patch, removed outdated am18 patch

Revision 1.27  2004/10/21 21:18:26  qboosh
- gpm-friendly Source0 URL

Revision 1.26  2004/02/29 19:57:52  grzegol
- updated to 0.10.1

Revision 1.25  2004/02/22 00:16:11  qboosh
- new URLs, updated to 0.10.0, removed obsolete build patch, added doc patch

Revision 1.24  2003/12/19 12:03:24  qboosh
- added am18 patch (libraw1394.m4 quotation fix); release 4

Revision 1.23  2003/10/04 00:24:53  qboosh
- fixed build fix, full ac/am rebuild

Revision 1.22  2003/09/25 13:41:38  mwinkler
- build fix

Revision 1.21  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.20  2003/06/02 11:07:35  trojan
- fixed source URL

Revision 1.19  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.18  2003/05/25 05:50:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.16  2002/11/25 14:17:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.15  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.13  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/02 20:25:14  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.9  2002/02/01 14:52:35  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.8  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/10/03 16:41:28  filon
- changed req for main subpkg in static subpkg to devel
- release 3

Revision 1.6  2001/08/16 08:12:56  blues
- Release 2
- ac 2.5 ready (requires added)

Revision 1.5  2001/07/20 20:37:19  migo
- s/linuxow/linuksow/

Revision 1.4  2001/05/20 14:54:20  kloczek
- updated to 0.9.0,
- added aclocal macros to devel,
- cosmetics and cleanups.

Revision 1.3  2001/05/15 23:16:34  blues
- translations added

Revision 1.2  2001/02/16 00:08:10  wrobell
- fixed descriptions and summaries
- changed prefix to default value, stb

Revision 1.1  2001/02/15 23:32:41  wrobell
- created from template
